FreeMat

- Main Page
- Related Pages

vtkWorldPointPicker

Section: Visualization Toolkit Rendering Classes

# Usage

vtkWorldPointPicker is used to find the x,y,z world coordinate of a screen x,y,z. This picker cannot pick actors and/or mappers, it simply determines an x-y-z coordinate in world space. (It will always return a x-y-z, even if the selection point is not over a prop/actor.)

To create an instance of class vtkWorldPointPicker, simply invoke its constructor as follows

      obj = vtkWorldPointPicker

# Methods

The class vtkWorldPointPicker has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkWorldPointPicker class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkWorldPointPicker = obj.NewInstance ()`
- `vtkWorldPointPicker = obj.SafeDownCast (vtkObject o)`
- `int = obj.Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer renderer)` - Perform the pick. (This method overload's the superclass.)
- `int = obj.Pick (double selectionPt[3], vtkRenderer renderer)` - Perform the pick. (This method overload's the superclass.)